# Remove an execution case from its test plan

URL: https://docs.ones.cn/developer/openapi/api/delete-execution-case

```
DELETE
## /project/executionCases/:executionCaseID

```

Logically removes the execution case from its test plan. Historical execution activities remain available internally.

## Request

### Path Parameters

**executionCaseID** stringrequired The execution case ID.

### Query Parameters

**teamID** stringrequired The team ID

## Responses

- 200
- 401
- 403
- 404
- 500

Request is successful.

- application/json

- Schema
- Example (from schema)

**Schema

**

**result** string The result of this request.

**errorCode** string The error code of this request.

**errorMsg** string Error message for this request.

**errorData** object Error meta data for this request.

```json
{
  "result": "SUCCESS"
}
```

Returned if the authentication credentials are incorrect or missing.

- application/json

- Schema
- Example (from schema)

**Schema

**

**result** string The result of this request.

**errorCode** string The error code of this request.

**errorMsg** string Error message for this request.

```json
{
  "result": "FAIL",
  "errorCode": "Unauthorized",
  "errorMsg": "Access token is invalid"
}
```

Returns if the scope check fails.

- application/json

- Schema
- Example (from schema)

**Schema

**

**result** string The result of this request.

**errorCode** string The error code of this request.

**errorMsg** string Error message for this request.

```json
{
  "result": "FAIL",
  "errorCode": "Forbidden",
  "errorMsg": "Scope is invalid"
}
```

Returned if the resource object was not found.

- application/json

- Schema
- Example (from schema)

**Schema

**

**result** string The result of this request.

**errorCode** string The error code of this request.

**errorMsg** string Error message for this request.

```json
{
  "result": "FAIL",
  "errorCode": "NotFound",
  "errorMsg": "Not Found"
}
```

Internal Server Error.

- application/json

- Schema
- Example (from schema)

**Schema

**

**result** string The result of this request.

**errorCode** string The error code of this request.

**errorMsg** string Error message for this request.

```json
{
  "result": "FAIL",
  "errorCode": "Internal Server Error",
  "errorMsg": "Internal Server Error"
}
```
